Bug 735071 - After editing backtrace, original sent as backtrace~
Summary: After editing backtrace, original sent as backtrace~
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 10:58 UTC by Trevor Spiteri
Modified: 2011-10-03 18:02 UTC (History)
7 users (show)

Fixed In Version: abrt-2.0.4.981-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-03 18:02:25 UTC


Attachments (Terms of Use)

Description Trevor Spiteri 2011-09-01 10:58:34 UTC
I sent a bug report (bug 735069) using abrt. I edited the backtrace to replace a username with xxxxxx (which wasn't really that critical; in fact, the same username is found elsewhere in the same bug report). Then I edited the backtrace again and replaced xxxxxx with XXXXXX.

After submitting, I viewed the bug on bugzilla.redhat.com, and there were two copies of the backtrace, one as "backtrace" with the XXXXXX, and one as "backtrace~" with the xxxxxx. I guess that had I edited the backtrace only once, backtrace~ would contain the original text, which I supposedly edited to remove sensitive data.

Abrt used gedit for the editing.

Comment 1 Denys Vlasenko 2011-09-21 15:32:19 UTC
Already fixed in git. Corresponding code fragment is:

        if (short_name[0] == '#'
         || (short_name[0] && short_name[strlen(short_name) - 1] == '~')
        ) {
            //log("Excluded (editor backup file):'%s'", short_name);
            goto next;
        }

Comment 2 Fedora Update System 2011-09-23 20:04:05 UTC
abrt-2.0.4.981-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/abrt-2.0.4.981-1.fc16

Comment 3 Fedora Update System 2011-09-24 20:47:12 UTC
Package abrt-2.0.4.981-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.4.981-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.4.981-1.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-10-03 17:59:55 UTC
abrt-2.0.4.981-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.